Distribution:	CCux
Packager:  	Simon Schmeisser <wrt@ccux-linux.de>

Summary:   	giflib - gif read / write library
Name:      	giflib
Version:   	4.1.6
Release:   	2
License: 	MIT
URL:		http://sourceforge.net/projects/libungif
Group:     	System/Libraries
Source0: 	%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

Provides:	libungif
Obsoletes:	libungif

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: perl

%description
giflib is a library for reading and writing gif images.
giflib is an API and ABI compatible replacement for libungif for use in countries where LZW is not patented. (there shouldn't be any left except canada (until june 2007))


%package devel
Summary:        Development files for %{name}
Group:          %{group}
Requires:       %{name} = %{version}-%{release}
Provides:	libungif-devel
Obsoletes:	libungif-devel

%description devel
Header files for developing applications using %{name} 

%post
ldconfig

%postun
ldconfig

%prep
%setup -qn %{name}-%{version}

%build
./configure --prefix=%_prefix \
--mandir=%_mandir \
--infodir=%_infodir \
--sysconfdir=%_sysconfdir \
--localstatedir=%_localstatedir \
--disable-dependency-tracking
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%_datadir/doc/%{name}-%{version}/html
install -v -m644 doc/*.{png,html} $RPM_BUILD_ROOT%_datadir/doc/%{name}-%{version}/html
install -v -m644 doc/*.txt  $RPM_BUILD_ROOT%_datadir/doc/%{name}-%{version}
install -v -m644 COPYING README $RPM_BUILD_ROOT%_datadir/doc/%{name}-%{version}
install -v -m644 NEWS ChangeLog TODO BUGS AUTHORS $RPM_BUILD_ROOT%_datadir/doc/%{name}-%{version}

%files
%defattr(-,root,root)
%{_bindir}/gif2epsn
%{_bindir}/gif2ps
%{_bindir}/gif2rgb
%{_bindir}/gif2x11
%{_bindir}/gifasm
%{_bindir}/gifbg
%{_bindir}/gifburst
%{_bindir}/gifclip
%{_bindir}/gifclrmp
%{_bindir}/gifcolor
%{_bindir}/gifcomb
%{_bindir}/gifcompose
%{_bindir}/giffiltr
%{_bindir}/giffix
%{_bindir}/gifflip
%{_bindir}/gifhisto
%{_bindir}/gifinfo
%{_bindir}/gifinter
%{_bindir}/gifinto
%{_bindir}/gifovly
%{_bindir}/gifpos
%{_bindir}/gifrotat
%{_bindir}/gifrsize
%{_bindir}/gifspnge
%{_bindir}/giftext
%{_bindir}/gifwedge
%{_bindir}/icon2gif
%{_bindir}/raw2gif
%{_bindir}/rgb2gif
%{_bindir}/text2gif
%{_libdir}/libgif.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/gif_lib.h
%{_libdir}/libgif.a
%{_libdir}/libgif.la
%{_libdir}/libgif.so
%{_docdir}/giflib-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Sep 24 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.1.6-2
- rebuilt
* Sun Nov 11 2007 Karsten Brockmann <arcam@ccux-linux.de> 4.1.6-1
- Version update
* Sun Feb 11 2007 Christian Metzen <metzench@ccux-linux.de> 4.1.4-2
- removed compat symlink
* Fri Feb 02 2007 Simon Schmeisser <wrt@ccux-linux.de> 4.1.4-1
- Initial release
